function awarn_resetdata( ply, com, args )

	if not awarn_checkreset( ply ) then
		AWSendMessage( ply, "AWarn: " .. AWarn.localizations[loc].sv1)
		return
	end

	MySQLite_AWarn.tableExists( "awarn_warnings", 
		function( res )
			if res == true then
				local query
				if MySQLite_AWarn.isMySQL() then
					query = "TRUNCATE TABLE awarn_warnings"
				else
					query = "DELETE FROM awarn_warnings"
				end
				MySQLite_AWarn.query( query, function() AWSendMessage( ply, "AWarn: Data in awarn_warnings successfully cleared.") end, function( error, q ) ServerLog( error ) end )
			else
				ServerLog( "AWarn: Trouble clearing data from awarn_warnings. Table doesn't exist.\n" )
			end
		end,
		function( error )
			ServerLog( error )
		end
	)

	MySQLite_AWarn.tableExists( "awarn_playerdata", 
		function( res )
			if res == true then
				local query
				if MySQLite_AWarn.isMySQL() then
					query = "TRUNCATE TABLE awarn_playerdata"
				else
					query = "DELETE FROM awarn_playerdata"
				end
				MySQLite_AWarn.query( query, function() AWSendMessage( ply, "AWarn: Data in awarn_playerdata successfully cleared.") end, function( error, q ) ServerLog( error ) end )
			else
				ServerLog( "AWarn: Trouble clearing data from awarn_playerdata. Table doesn't exist.\n" )
			end
		end,
		function( error )
			ServerLog( error )
		end
	)
	
	AWSendMessage( ply, "AWarn: Operation complete. It is recommended that you now stop your server and remove this file to prevent abuse/accidental deletion of warnings in the future.")
		
end
concommand.Add( "awarn_cleardatabase", awarn_resetdata )

function awarn_checkreset( self )
	if not IsValid( self ) then return true end
	if self:IsSuperAdmin() then return true end
	return false
end